[**Flutter ETS API Documentation v1.0.0**](../../../../../README.md)

***

# Class: TestChannel

Test channel for Flutter testing purposes.
This channel provides a simple echo mechanism for testing message passing.

## Constructors

### Constructor

> **new TestChannel**(`dartExecutor`): `TestChannel`

Constructs a new TestChannel instance.

#### Parameters

##### dartExecutor

`DartExecutor`

The DartExecutor for sending messages to Dart

#### Returns

`TestChannel`
